#
# spec file for package octave-forge-sockets
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  sockets
Name:           octave-forge-%{octpkg}
Version:        1.4.0
Release:        bp156.2.4
Summary:        Socket Octave functions for networking
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io/%{octpkg}/
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.6.0

%description
Socket functions for networking.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Thu Sep 15 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.4.0:
  * Socket constants that are OS dependant will show an error if
    not available instead of not existing. (Bug #51273)
  * Added new functions: select, shutdown
  * Added constants: SHUT_RD, SHUT_RDWR, SHUT_WR
  * Added qt5 documentation
  * Install .cc tests
* Fri Jul  8 2022 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.3.0:
  * added new functions: sendto, recvfrom, getsockopt, setsockopt
  * added constants SOL_SOCKET, SO_REUSEADDR, SO_KEEPALIVE,
    SO_DONTROUTE, SO_BROADCAST
  * added initial user manual
* Sat Jan  9 2021 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.2.1:
  * Updates for Octave 6 compatability
  * Change minimum Octave version to 3.6
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.2.0
